#import <Foundation/Foundation.h>
#import <Squeak/SqueakInterpreter.h>

int main (int argc, const char * argv[]) {
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
    id imageName=[NSString stringWithCString:argv[1]];
    id interpreter =[SqueakInterpreter interpreter];
    
    [interpreter readImageFile:imageName withHeapSize:64 * 1024 * 1024];
    [interpreter setStackCacheEntries:64];
    [interpreter setContextCacheEntries:64];
    [interpreter startInterpreter];

    [pool release];
    return 0;
}
